Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jul 2022 19:50:23 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 18 Jul 2022 12:12:34 -0400
> 
> >> Hmm... following the idea above, maybe select-frame/window should never
> >> call resize_mini_window, and instead that should only take place at the
> >> next redisplay.
> >
> > That's exactly what happens: resize_mini_window just fiddles with some
> > variables, the actual resizing happens as part of redisplay.  It's the
> > moral equivalent of what happens when the user types "C-x ^".
> 
> But we need to make sure that selecting a window and then "selecting
> back" the original doesn't cause those vars to be changed.

That shouldn't be hard to arrange (in fact, binding inhibit-redisplay
does precisely that).